Subject: Re: bug#37479: International locale error

From: [email-masked]
Date: Sun, 22 Sep 2019 21:54:27 -0500

Thank you for your reply, Bengt. I received this email outside of the
mailing list. So I have forwarded it. Below inline I comment.

On Sun, September 22, 2019 3:15 pm, Bengt Richter wrote:
> On +2019-09-22 14:44:57 +0000, [email-masked] wrote:
>> Hello Guix.
>>
>> I have had a problem on Guix System for about a month since a
>> reconfigure
>> and have tried several 'sudo guix system reconfigure config.scm'. But
>> still cannot solve it. I have tried to include all symptoms in order to
>> make this report useful.
>>
>> My user login for Gnome appears as 'Quiliro Ord???ez' instead of Quiliro
>> Ordóñez.
>>
>
> [...]
>
>> I cannot type characters such as ĝ on C-M-F1 as well as on Xfce-terminal
>> and Emacs in Gnome. But I can type characters such as ó and ñ. I don't
>> have that problem on Icecat.
>>
>> My current locale is es_EC.UTF-8:
>> quiliro@GSD3 ~$ locale
>> locale: Cannot set LC_CTYPE to default locale: No such file or directory
>> locale: Cannot set LC_MESSAGES to default locale: No such file or
>> directory
>> locale: Cannot set LC_ALL to default locale: No such file or directory
>
> I believe locale should not complain as in the above 3 lines.
> When it stops complaining, I suspect many of the other complaints will
> disappear.
>
> Unfortuantely, I did not make good notes when my locale command produced
> the same errors,
> so take my advice with a grain of salt ;-)
>
> You might want to try running  locale-gen as root -- i.e. sudo locale-gen
> See man locale-gen

It is not available.

> But first, what LANG=... does sudo locale produce for you?
> I would guess it needs to be LANG=es_EC.UTF-8 for you.
>
> If it doesn't show that LANG=, probably locale-gen will need to be told.
> Perhaps something like this would work to invoke locale-gen:
>
> sudo bash
> LANG=es_EC.UTF-8 locale-gen
> # ... locale-gen take a little while to compile stuff ...
> # exit with Ctl-d back to your user cli

quiliro@GSD3 ~/Descargas/elisp$ sudo bash
root@GSD3 /home/quiliro/Descargas/elisp# locale
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=es_EC.UTF-8
LC_CTYPE="es_EC.UTF-8"
LC_NUMERIC="es_EC.UTF-8"
LC_TIME="es_EC.UTF-8"
LC_COLLATE="es_EC.UTF-8"
LC_MONETARY="es_EC.UTF-8"
LC_MESSAGES="es_EC.UTF-8"
LC_PAPER="es_EC.UTF-8"
LC_NAME="es_EC.UTF-8"
LC_ADDRESS="es_EC.UTF-8"
LC_TELEPHONE="es_EC.UTF-8"
LC_MEASUREMENT="es_EC.UTF-8"
LC_IDENTIFICATION="es_EC.UTF-8"
LC_ALL=
root@GSD3 /home/quiliro/Descargas/elisp# LANG=es_EC.UTF-8 locale-gen
bash: locale-gen: command not found
root@GSD3 /home/quiliro/Descargas/elisp# exit
quiliro@GSD3 ~/Descargas/elisp$ sudo locale-gen
sudo: locale-gen: command not found

>> LANG=es_EC.UTF-8
>> LC_CTYPE="es_EC.UTF-8"
>> LC_NUMERIC="es_EC.UTF-8"
>> LC_TIME="es_EC.UTF-8"
>> LC_COLLATE="es_EC.UTF-8"
>> LC_MONETARY="es_EC.UTF-8"
>> LC_MESSAGES="es_EC.UTF-8"
>> LC_PAPER="es_EC.UTF-8"
>> LC_NAME="es_EC.UTF-8"
>> LC_ADDRESS="es_EC.UTF-8"
>> LC_TELEPHONE="es_EC.UTF-8"
>> LC_MEASUREMENT="es_EC.UTF-8"
>> LC_IDENTIFICATION="es_EC.UTF-8"
>> LC_ALL=
>> quiliro@GSD3 ~$
>>
>
> Good luck :)
>
> Regards,
> Bengt Richter

Thank you for your help.
Quiliro